/*written by: Alex Sood
debugged by: Alex Sood*/
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
public class StockList
{
	public static double getPrice(String tic) throws SQLException
	{
		String q = "select price from stock_table where ticker = '" + tic.toUpperCase() + "'";
		Connection conn = AccountManager.getCon();
		if(conn == null) return -1;
		Statement st = conn.createStatement();
		ResultSet set = st.executeQuery(q);
		set.first();
		try
		{
			return set.getDouble("price");
		}
		catch(SQLException e)
		{
			new ErrBox("Stock ticker not in list!");
			return -1;
		}
	}
	public static String getQuote(String tic) throws SQLException
	{
		String msg;
		String q = "select ticker, price, price_change from stock_table where ticker = '" + tic.toUpperCase() + "'";
		Connection conn = AccountManager.getCon();
		if(conn == null) return null;
		Statement st = conn.createStatement();
		ResultSet set = st.executeQuery(q);
		set.first();
		try
		{
			msg = set.getString("ticker");
			msg += "\t" + set.getDouble("price") + "\t" + set.getDouble("price_change");
			return msg;
		}
		catch(SQLException e)
		{
			new ErrBox("Stock ticker not in list!");
			return null;
		}
	}
}