/*written by: Alex Sood
debugged by: Alex Sood*/
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
public class AccountManager
{
	private static final String url = "jdbc:mysql://software-ece.rutgers.edu/group902?user=group902&password=RUcore09";
	private static Connection con;
	public static String getURL()
	{
		return url;
	}
	public static Connection getCon()
	{
		return con;
	}
	private static void connect()
	{
		try
		{
			con = DriverManager.getConnection(url);
		}
		catch(SQLException e) { e.printStackTrace(); }
	}
	public static Portfolio createAccount(String name, String pass)
	{
		String query = "select name from accounts where name = '" + name + "'";
		String command = "insert into accounts values ('" + name + "', '" + pass + "', 1000)";
		String com2 = "insert into assets values ('" + name + "', 'cash', 1000, '" + name + "cash')";
		if(con == null) connect();
		try
		{
			Statement st = con.createStatement();
			ResultSet set = st.executeQuery(query);
			set.first();
			try
			{
				set.getString("name");
				set.close();
				new ErrBox("USERNAME: " + name + " is taken!");
				return null;
			}
			catch(SQLException e)
			{
				set.close();
				st.execute(command);
				st.execute(com2);
				return login(name, pass);
			}
		}
		catch(SQLException e)
		{
			e.printStackTrace();
			return null;
		}
	}
	public static Portfolio login(String name, String pass)
	{
		String login_query = "select name from accounts where name = '" + name + "' and pass = '" + pass + "'";
		String asset_query = "select * from assets where name = '" + name + "'";
		if(con == null) connect();
		try
		{
			Statement st = con.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
			ResultSet set = st.executeQuery(login_query);
			set.first();
			try
			{
				set.getString("name");
				set.close();
				return new Portfolio(name, st.executeQuery(asset_query));
			}
			catch(SQLException e)
			{
				set.close();
				new ErrBox("Invalid login!");
				return null;
			}
		}
		catch(SQLException e)
		{
			e.printStackTrace();
			return null;
		}
	}
	public static void logout(Portfolio p)
	{
		p = null;
	}
	public static void removeAccount(String name)
	{
		String com1 = "delete from accounts where name = '" + name + "'";
		String com2 = "delete from assets where name = '" + name + "'";
		if(con == null) connect();
		try
		{
			Statement st = con.createStatement();
			st.execute(com1);
			st.execute(com2);
		}
		catch(SQLException e)
		{
			e.printStackTrace();
		}
	}
	public static Order getOrders(String name)
	{
		String query = "select * from orders where name = '" + name + "'";
		Order ord1 = null;
		Order ord2 = null;
		try
		{
			ResultSet orders = con.createStatement().executeQuery(query);
			orders.beforeFirst();
			while(orders.next())
			{
				String tp = orders.getString("type");
				String tk = orders.getString("ticker");
				int bs = orders.getInt("buy_sell");
				double ns = orders.getDouble("amount");
				double prc = orders.getDouble("price");
				double pct = orders.getDouble("percent");
				ord2 = new Order(tp, tk, bs, ns, prc, pct);
				ord2.setNext(ord1);
				if(ord1 != null) ord1.setPrev(ord2);
				ord1 = ord2;
				con.createStatement().execute("delete from orders where name = '" + name + "' and ticker = '" + tk + "' and type = '" + tp + "' and buy_sell = " + bs + " and amount = " + ns + " and price = " + prc + "and percent = " + pct);
			}
		}
		catch(SQLException e) { e.printStackTrace(); }
		return ord1;
	}
	public static void storeOrders(Order ord, String name)
	{
		String command;
		while(ord != null)
		{
			command = "insert into orders values ('" + name + "', '" + ord.getTicker() + "', '" + ord.getType() + "', " + ord.getNumShares() + ", " + ord.getBuyOrSell() + ", " + ord.getPrice() + ", " + ord.getPercent() + ", "  + ord.getCommission() + ")";
			try
			{
				con.createStatement().execute(command);
			}
			catch(SQLException e) { e.printStackTrace(); }
			ord = ord.getNext();
		}
	}
	public static ResultSet getStandings()
	{
		try
		{
			return con.createStatement().executeQuery("select name, value from accounts order by value desc");
		}
		catch(SQLException e) { e.printStackTrace(); }
		return null;
	}
	public static void setThreshold(String address, String ticker, double price, int upLow)
	{
		String command = "insert into alerts values ('" + address + "', '" + ticker + "', " + price + ", " + upLow + ")";
		try
		{
			con.createStatement().execute(command);
		}
		catch(SQLException e) { e.printStackTrace(); }
	}
}