/*written by: Alex Sood
debugged by: Alex Sood*/
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
public class LeaderBoardMaintainer extends Thread
{
	private Statement ment;
	
	public LeaderBoardMaintainer()
	{
		super("LeaderBoardMaintainer");
		setDaemon(true);
		try
		{
			ment = DatabaseMaintainer.getConn().createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
		}
		catch(SQLException e) { e.printStackTrace(); }
	}
	
	public void run()
	{
		while(true)
		{
			try
			{
				update();
			}
			catch(SQLException e) { e.printStackTrace(); }
			try
			{
				sleep(1000);
			}
			catch(InterruptedException e) { e.printStackTrace(); }
		}
	}
	
	private void update() throws SQLException
	{
		ResultSet standings = ment.executeQuery("select name from accounts");
		standings.beforeFirst();
		while(standings.next())
		{
			String name = standings.getString("name");
			ResultSet assets = DatabaseMaintainer.getConn().createStatement().executeQuery("select * from assets where name = '" + name + "'");
			double value = 0;
			assets.beforeFirst();
			while(assets.next())
			{
				String type = assets.getString("type");
				double amount = assets.getDouble("amount");
				if(type.equals("cash")) value += amount;
				else
				{
					ResultSet priceSet = DatabaseMaintainer.getConn().createStatement().executeQuery("select price from stock_table where ticker = '" + type + "'");
					priceSet.first();
					double price = priceSet.getDouble("price");
					value += amount * price;
				}
			}
			DatabaseMaintainer.getConn().createStatement().execute("update accounts set value = " + value + " where name = '" + name + "'");
		}
	}
}