//written by: Alex Sood
//debugged by: Alex Sood
//debugging assisted by: John Grun
import com.sun.mail.smtp.SMTPSSLTransport;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Properties;
import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.URLName;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.InternetAddress;

public class LookOut extends Thread
{
	private Statement ment;
	
	public LookOut()
	{
		super("LookOut");
		setDaemon(true);
		try
		{
			ment = DatabaseMaintainer.getConn().createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
		}
		catch(SQLException e) { e.printStackTrace(); }
	}
	
	public void run()
	{
		while(true)
		{
			try
			{
				ResultSet alerts = ment.executeQuery("select * from alerts");
				alerts.beforeFirst();
				while(alerts.next())
				{
					String addr = alerts.getString("address");
					String ticker = alerts.getString("ticker");
					double price = alerts.getDouble("price");
					int upLow = alerts.getInt("up_low");
					ResultSet rs = DatabaseMaintainer.getConn().createStatement().executeQuery("select * from stock_table where ticker = '" + ticker + "'");
					rs.first();
					double cur_price = rs.getDouble("price");
					if(upLow == 1 && cur_price < price)
					{
						String msg = "The price of " + ticker + " has dropped below " + price + "!";
						sendAlert(addr, msg);
						DatabaseMaintainer.getConn().createStatement().execute("delete from alerts where address = '" + addr + "' and ticker = '" + ticker + "' and price = " + price + " and up_low = " + upLow);
					}
					if(upLow == 0 && cur_price > price)
					{
						String msg = "The price of " + ticker + " is now over " + price + "!";
						sendAlert(addr, msg);
						DatabaseMaintainer.getConn().createStatement().execute("delete from alerts where address = '" + addr + "' and ticker = '" + ticker + "' and price = " + price + " and up_low = " + upLow);
					}
				}
			}
			catch(SQLException e) { e.printStackTrace(); }
			try
			{
				sleep(1000);
			}
			catch(InterruptedException e) { e.printStackTrace(); }
		}
	}
	
	private void sendAlert(String address, String msg)
	{
		try
		{
			Properties props = System.getProperties();
			props.put("mail.smtp.user", "asood");
			props.put("mail.smtp.host", "smtp.rutgers.edu");
			props.put("mail.smtp.starttls.enable","true");
			props.put("mail.smtp.auth", "true");
			Authenticator auth = new MyAuthenticator();
			Session ses = Session.getDefaultInstance(props, auth);
			ses.setDebug(false);
			SMTPSSLTransport trans = new SMTPSSLTransport(ses, new URLName("smtp", "smtp.rutgers.edu", 25, "", "asood", "hcrhs-06"));
			trans.setStartTLS(true);
			MimeMessage mes = new MimeMessage(ses);
			mes.setFrom(new InternetAddress("asood@rutgers.edu"));
			InternetAddress[] dest = {new InternetAddress(address)};
			mes.setRecipients(Message.RecipientType.TO, dest);
			mes.setContent(msg, "text/plain");
			Transport.send(mes);
		}
		catch(Exception e) { e.printStackTrace(); }
	}
	public class MyAuthenticator extends Authenticator
	{
		public PasswordAuthentication getPasswordAuthentication()
		{
			return new PasswordAuthentication("asood", "hcrhs-06");
		}
	}
}